# needed for building on el6
%{?nodejs_find_provides_and_requires}

%global srcname ansi-font

Name:           nodejs-%{srcname}
Version:        0.0.2
Release:        %mkrel 6
Group:          Development/Java

Summary:        ANSI font styling utils
License:        MIT
URL:            https://github.com/gozala/%{srcname}
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz
# License requested: https://github.com/Gozala/ansi-font/issues/2
Source1:        LICENSE-MIT.txt

BuildArch:      noarch


BuildRequires:  nodejs-packaging

%description
%{summary}.

%prep
%setup -qn package
rm -rf node_modules
cp -pr %{SOURCE1} .

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%files
%{!?_licensedir:%global license %doc}
%doc Readme.md History.md
%license LICENSE-MIT.txt
%{nodejs_sitelib}/%{srcname}



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.0.2-6.mga10
+ Revision: 2207375
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.0.2-5.mga9
+ Revision: 1816832
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.0.2-4.mga8
+ Revision: 1492300
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Wed Sep 19 2018 umeabot <umeabot> 0.0.2-3.mga7
+ Revision: 1264669
- Mageia 7 Mass Rebuild

* Wed Sep 28 2016 neoclust <neoclust> 0.0.2-2.mga6
+ Revision: 1057392
- imported package nodejs-ansi-font

